Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.runtime
Interface FileEventGeneratorsRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

    public interface FileEventGeneratorsRuntimeMBean

extends weblogic.management.runtime.RuntimeMBean

This class provides a central access point for getting FileEventGenRuntimeMBeans

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).
`static String` | `TYPE`

Method Summary
`FileEventGenRuntimeMBean` | `getRuntimeMBean(String name)` Deprecated. Use getMBeansByType(FileEventGenRuntimeMBean.TYPE) and lookup the string
`FileEventGenRuntimeMBean[]` | `getRuntimeMBeans()` Deprecated. Use getMBeansByType(FileEventGenRuntimeMBean.TYPE);

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`addPropertyChangeListener, preDeregister, removePropertyChangeListener`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

### TYPE

    static final String TYPE

See Also:
  Constant Field Values

Method Detail

### getRuntimeMBeans

    FileEventGenRuntimeMBean[] getRuntimeMBeans()
                                                throws javax.management.MBeanException

  Deprecated. Use getMBeansByType(FileEventGenRuntimeMBean.TYPE);

  Get a list of all known FileEventGenRuntimeMBean's

  Returns:
    Array of MBean's
  Throws:
    `javax.management.MBeanException`

### getRuntimeMBean

    FileEventGenRuntimeMBean getRuntimeMBean(String name)
                                             throws javax.management.MBeanException

  Deprecated. Use getMBeansByType(FileEventGenRuntimeMBean.TYPE) and lookup the string

  Get a specific FileEventGenRuntimeMBean

  Parameters:
    `name` - name of the MBean
  Returns:
    the specified MBean
  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD